Update webhook
Update webhook. See the OpenAPI-defined parameters, request body, and responses below.
PUT
/Webhook/{id}Update webhook. See the OpenAPI-defined parameters, request body, and responses below.
Authentication
Authentication required. Send your user API key in the X-API-Key header.
Parameters
| Name | Location | Type | Required | Description | Constraints |
|---|---|---|---|---|---|
id | path | integer · int32 | Yes | — | — |
Request body
Content type: application/json · Schema: WebhookDto
| Property | Type | Required | Description | Constraints |
|---|---|---|---|---|
id | integer · int32 | No | — | — |
enable | boolean | No | — | — |
name | string | No | — | nullable |
webhookType | WebhookType | No | — | — |
url | string | No | — | nullable |
Example request
curl --request PUT \
--url 'https://api.zild.ai/Webhook/{id}' \
--header 'X-API-Key: YOUR_USER_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"id": 0,
"enable": true,
"name": "string",
"webhookType": 0,
"url": "string"
}'
Responses
| Status | Description | Response body |
|---|---|---|
200 | OK | No response body is defined. |
Data models
WebhookDto
| Property | Type | Required | Description | Constraints |
|---|---|---|---|---|
id | integer · int32 | No | — | — |
enable | boolean | No | — | — |
name | string | No | — | nullable |
webhookType | WebhookType | No | — | — |
url | string | No | — | nullable |
WebhookType
0 = EvaluationResult; 2 = ConversationEnded; 3 = ConversationDeleted; 4 = CallTransferred; 5 = DocumentNew; 6 = DocumentInProgress; 7 = DocumentTextExtracted; 8 = DocumentError; 9 = DocumentCompleted; 10 = DocumentCancelled
integer